Remove Project Member
DELETEhttps://api.confident-ai.com/v1/projects/{projectId}/members/{userId}
Removes a member from the project. The member is detached from the project and their pending project invitations are cleared. The project Owner cannot be removed.
curl -X DELETE "https://api.confident-ai.com/v1/projects/{projectId}/members/{userId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"id": "user-uuid-2",
"removed": true
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
projectIdstringRequiredThe unique identifier of the project.
userIdstringRequiredThe unique identifier of the member.
Response
successbooleanIndicates if the request was successful
dataobjectShow 2 propertiesHide 2 properties
idstringID of the removed member
removedbooleanAlways
truewhen the member was removed